import { ReduxStateType } from '@harmowatch/redux-decorators';
import 'rxjs/add/operator/map';
import { Observable } from 'rxjs/Observable';
import { ReduxRootState } from './module/root/state';
export declare class ReduxSelector<T> extends Observable<T> {
    private static readonly DELIMITER;
    constructor(selector?: string, stateProvider?: ReduxStateType);
    static create<T>(selector: string, stateProvider?: ReduxStateType): ReduxSelector<T>;
    static getAbsoluteSelector(selector: string, stateProvider?: ReduxStateType): string;
    static getValueByState<S>(state: ReduxRootState<S>, selector: string, stateProvider?: ReduxStateType): S;
}
